Bug 241595 - /etc/modprobe.d contains blacklist and blacklist-compat files
/etc/modprobe.d contains blacklist and blacklist-compat files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-05-28 11:30 EDT by Denise Dumas
Modified: 2008-04-02 17:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 17:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-05-28 11:30:55 EDT
Description of problem:

module-init-tools and hwdata packages contain the files
blacklist and blacklist-compat in /etc/modprobe.d/.

Difference in these files seems to be only in one also
blacklisting matrxfb_base.

Can one of these files be removed and the data on be maintained
in one package?

regards,

Florian La Roche




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jon Masters 2007-05-29 12:34:27 EDT
I wonder if this belongs in the hwdata package. Shall I kill it from m-i-t?

Jon.
Comment 2 Karsten Hopp 2007-05-29 12:50:42 EDT
adding Harald to CC: 
Harald: can you remember why you have added blacklist-compat to module-init-tools ??
Comment 3 Harald Hoyer 2007-05-29 13:13:36 EDT
was it me? only remember to have added various framebuffer modules..
Comment 4 Harald Hoyer 2007-05-29 13:16:04 EDT
yes, framebuffer modules, which were autoloaded by udev have been added by me.
Comment 5 Florian La Roche 2007-05-29 16:53:05 EDT
If it needs editing more often, then hwdata is anyway changed in most
update releases and might make more sense.

For /etc/modprobe.d/ it would also be good if only files with a certain
ending would be used like *.conf as then backup files would not
accidentially be read in etc.

greetings,

Florian La Roche
Comment 6 Harald Hoyer 2007-05-31 12:02:37 EDT
blacklist-compat can be removed, if the modules in it are mentioned in another
place. framebuffer modules must _not_ be loaded automatically by udev.
Comment 7 Karsten Hopp 2007-06-25 06:24:38 EDT
Harald: I've added 'blacklist matrxfb_base' to hwdata's blacklist (Rawhide).
JCM: Please remove the file blacklist-compat from module-init-tools as it is
obsolete now.

comment #5 still needs to be solved.
At least hwdata would require some minor changes to use blacklist.conf instead
of 'blacklist'. Maybe it would suffice to exclude files ending with '~' from
being read ? Atm modprobe reads every file in that directory without exception.
Comment 8 Florian La Roche 2007-06-25 06:26:35 EDT
I've opened up another bz for comment #5. Seems also the kernel now starts
shipping blacklist files, so the number of dependencies is growing. ;-(

regards,

Florian La Roche
Comment 9 Harald Hoyer 2007-06-27 04:39:07 EDT
Karsten, I do not own module-init-tools anymore.
Comment 10 Jon Masters 2007-08-20 03:17:10 EDT
Ok. I will remove the obsolete file.

Jon.

Note You need to log in before you can comment on or make changes to this bug.